summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorJim Meyering <meyering@redhat.com>2007-12-11 21:26:32 +0100
committerJim Meyering <meyering@redhat.com>2007-12-11 21:41:52 +0100
commit7407dc042ae4c0dc1599cd9ce1e73deb6f62da7f (patch)
tree14f6ca94d77a93fc6e422e334cde9e6679774111 /tests
parent4245876e23866a198b92ed5c371658d8428d89ac (diff)
downloadcoreutils-7407dc042ae4c0dc1599cd9ce1e73deb6f62da7f.tar.xz
Add a test to exercise today's bug fix.
* tests/misc/selinux: Test for today's bug fix. * NEWS: Mention the SELinux "ls -l" fix.
Diffstat (limited to 'tests')
-rwxr-xr-xtests/misc/selinux3
1 files changed, 3 insertions, 0 deletions
diff --git a/tests/misc/selinux b/tests/misc/selinux
index 847ccac2c..542d6e799 100755
--- a/tests/misc/selinux
+++ b/tests/misc/selinux
@@ -36,6 +36,9 @@ for i in d f p; do
c=`stat --printf %C $i`; test x$c = x$ctx || fail=1
done
+# ensure that ls -l output includes the "+".
+c=`ls -l f|cut -c11`; test "$c" = + || fail=1
+
# Copy each to a new directory and ensure that context is preserved.
cp -r --preserve=all d f p s1 || fail=1
for i in d f p; do